Name:		pidgin-libnotify
Version:	0.14
Release:	%mkrel 12
Summary:	Popup for Pidgin via libnotify and the notification-daemon
License:	GPLv3
Group:		Networking/Instant messaging
URL:		http://gaim-libnotify.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/%{oldname}/%{name}-%{version}.tar.bz2
#modified to remove -DGSEAL_ENABLE in configure.ac. Here we're still
#with old gtk+2 (no upstream activity)
Patch1:		indicate-0.6.patch
Patch2:		pidgin-libnotify-0.14-libnotify-0.7.patch
#replace missing symbol "indicate_indicator_set_property_icon" with
#"indicate_gtk_indicator_set_property_icon"
Patch3:		pidgin-libnotify-0.14-gtk_indicator.patch
Patch4:		pidgin-libnotify-0.14-automake_1.13.patch

BuildRequires:	pidgin-devel
BuildRequires:	gtk2-devel
BuildRequires:	gettext-devel
BuildRequires:	libsm-devel
BuildRequires:	libnotify-devel
BuildRequires:	libindicate-gtk-devel
BuildRequires:	intltool
Requires:	pidgin

%description
This plugin adds a libnotify interface to pidgin, enabling popups much like 
guifications. It has some configuration options, to show popups when a 
buddy signs on, on new messages and on new conversations only.

libnotify and notify-daemon aren't stable yet, so it's all very experimental.

N.B. Don't forget to enable the plugin in Tools->Plugins.

%prep
%setup -q
%apply_patches
libtoolize --copy --force; aclocal; autoconf --force

%build
%configure2_5x --disable-deprecated
%make

%install
%makeinstall_std

%find_lang %name

# remove files not bundled
rm -f %{buildroot}%{_libdir}/purple-2/*.{la,a}

%files -f %{name}.lang
%doc AUTHORS ChangeLog INSTALL README
%{_libdir}/purple-2/*.so


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.14-12.mga3
+ Revision: 377719
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 sander85 <sander85> 0.14-11.mga3
+ Revision: 340097
- Fix for automake 1.13

* Thu Nov 03 2011 eatdirt <eatdirt> 0.14-10.mga2
+ Revision: 162407
- Fix compilation failure against libindicate 0.6.1, fix missing symbol when
  actually used in pidgin

  + dmorgan <dmorgan>
    - Fix configure
    - Rebuild against new libindicate-gtk

* Mon Jun 13 2011 ahmad <ahmad> 0.14-8.mga2
+ Revision: 105494
- Add a patch to fix the build with libnotify-0.7
- Drop redundant BR autoconf2.5, provided by autoconf

* Sun Apr 03 2011 obgr_seneca <obgr_seneca> 0.14-7.mga1
+ Revision: 79991
- rebuild against new libindicate 0.5.0

* Tue Mar 15 2011 obgr_seneca <obgr_seneca> 0.14-6.mga1
+ Revision: 71663
- fixed license
- cleaned up spec
- removed buildroot tag
- removed obsoletes/provides/conflicts for gaim packages
- imported package pidgin-libnotify

